### Method

# Gtk Window minimize

#### Declaration [src]

    void
    gtk_window_minimize (
      GtkWindow* window
    )

#### Description [src]

Asks to minimize the specified `window`.

Note that you shouldn’t assume the window is definitely minimized afterward, because the windowing system might not support this functionality; other entities (e.g. the user or the window manager could unminimize it again, or there may not be a window manager in which case minimization isn’t possible, etc.

It’s permitted to call this function before showing a window, in which case the window will be minimized before it ever appears onscreen.

You can track result of this operation via the `GdkToplevel:state` property.